package projekat2;

public class Osoba {
    
    private String ime;
    private String prezime;
    private String JMBG;
       
    public Osoba(String ime, String prezime, String JMBG) {
        this.ime = ime;
        this.prezime = prezime;
        this.JMBG = JMBG;
    }  
    public String getIme() {
        return ime;
    }
    public String getPrezime() {
        return prezime;
    }
    public String getJMBG() {
        return JMBG;
    }
    @Override
    public String toString() {
        return this.ime+" "+this.prezime;
    }  
    //provera jmbg-a (duzinu stringa, karakteri = brojevi)
    public boolean proveriJMBG(){
        boolean status = true;
        if(this.JMBG.length()==13){
            for(int i=0;i<this.JMBG.length();i++){
                if(!Character.isDigit(this.JMBG.charAt(i))){
                    status = false; break;
                }
            }
        }else{
            status = false;
        }        
        return status;
    }
}
